com.lowagie.text.pdf.hyphenation

## Class Hyphenator

- java.lang.Object
- - com.lowagie.text.pdf.hyphenation.Hyphenator

-     public class Hyphenator
      extends java.lang.Object

  This class is the main entry point to the hyphenation package. You can use only the static methods or create an instance.
  Author:
    Carlos Villegas

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `defaultHyphLocation`
    `private static java.lang.String` | `hyphenDir` Holds value of property hyphenDir.
    `private HyphenationTree` | `hyphenTree`
    `private static java.util.Hashtable` | `hyphenTrees` TODO: Don't use statics
    `private int` | `pushCharCount`
    `private int` | `remainCharCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Hyphenator(java.lang.String lang, java.lang.String country, int leftMin, int rightMin)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HyphenationTree` | `getFileHyphenationTree(java.lang.String key)`
    `static HyphenationTree` | `getHyphenationTree(java.lang.String lang, java.lang.String country)`
    `static java.lang.String` | `getHyphenDir()` Getter for property hyphenDir.
    `static HyphenationTree` | `getResourceHyphenationTree(java.lang.String key)`
    `Hyphenation` | `hyphenate(char[] word, int offset, int len)`
    `Hyphenation` | `hyphenate(java.lang.String word)`
    `static Hyphenation` | `hyphenate(java.lang.String lang, java.lang.String country, char[] word, int offset, int len, int leftMin, int rightMin)`
    `static Hyphenation` | `hyphenate(java.lang.String lang, java.lang.String country, java.lang.String word, int leftMin, int rightMin)`
    `static void` | `setHyphenDir(java.lang.String _hyphenDir)` Setter for property hyphenDir.
    `void` | `setLanguage(java.lang.String lang, java.lang.String country)`
    `void` | `setMinPushCharCount(int min)`
    `void` | `setMinRemainCharCount(int min)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hyphenTrees

          private static java.util.Hashtable hyphenTrees

      TODO: Don't use statics

    - #### hyphenTree

          private HyphenationTree hyphenTree

    - #### remainCharCount

          private int remainCharCount

    - #### pushCharCount

          private int pushCharCount

    - #### defaultHyphLocation

          private static final java.lang.String defaultHyphLocation

      See Also:
        Constant Field Values

    - #### hyphenDir

          private static java.lang.String hyphenDir

      Holds value of property hyphenDir.

  - ### Constructor Detail

    - #### Hyphenator

          public Hyphenator(java.lang.String lang,
                    java.lang.String country,
                    int leftMin,
                    int rightMin)

      Parameters:
        `lang` -
        `country` -
        `leftMin` -
        `rightMin` -

  - ### Method Detail

    - #### getHyphenationTree

          public static HyphenationTree getHyphenationTree(java.lang.String lang,
                                           java.lang.String country)

      Parameters:
        `lang` -
        `country` -
      Returns:
        the hyphenation tree

    - #### getResourceHyphenationTree

          public static HyphenationTree getResourceHyphenationTree(java.lang.String key)

      Parameters:
        `key` -
      Returns:
        a hyphenation tree

    - #### getFileHyphenationTree

          public static HyphenationTree getFileHyphenationTree(java.lang.String key)

      Parameters:
        `key` -
      Returns:
        a hyphenation tree

    - #### hyphenate

          public static Hyphenation hyphenate(java.lang.String lang,
                              java.lang.String country,
                              java.lang.String word,
                              int leftMin,
                              int rightMin)

      Parameters:
        `lang` -
        `country` -
        `word` -
        `leftMin` -
        `rightMin` -
      Returns:
        a hyphenation object

    - #### hyphenate

          public static Hyphenation hyphenate(java.lang.String lang,
                              java.lang.String country,
                              char[] word,
                              int offset,
                              int len,
                              int leftMin,
                              int rightMin)

      Parameters:
        `lang` -
        `country` -
        `word` -
        `offset` -
        `len` -
        `leftMin` -
        `rightMin` -
      Returns:
        a hyphenation object

    - #### setMinRemainCharCount

          public void setMinRemainCharCount(int min)

      Parameters:
        `min` -

    - #### setMinPushCharCount

          public void setMinPushCharCount(int min)

      Parameters:
        `min` -

    - #### setLanguage

          public void setLanguage(java.lang.String lang,
                         java.lang.String country)

      Parameters:
        `lang` -
        `country` -

    - #### hyphenate

          public Hyphenation hyphenate(char[] word,
                              int offset,
                              int len)

      Parameters:
        `word` -
        `offset` -
        `len` -
      Returns:
        a hyphenation object

    - #### hyphenate

          public Hyphenation hyphenate(java.lang.String word)

      Parameters:
        `word` -
      Returns:
        a hyphenation object

    - #### getHyphenDir

          public static java.lang.String getHyphenDir()

      Getter for property hyphenDir.
      Returns:
        Value of property hyphenDir.

    - #### setHyphenDir

          public static void setHyphenDir(java.lang.String _hyphenDir)

      Setter for property hyphenDir.
      Parameters:
        `_hyphenDir` - New value of property hyphenDir.